Bug 585933 - SELinux is preventing /usr/sbin/abrtd "read" access on sosreport-dhcp-30-37-20100426135838-34fb.tar.bz2.
SELinux is preventing /usr/sbin/abrtd "read" access on sosreport-dhcp-30-37-2...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: 585934 (view as bug list)
Depends On:
Blocks: 586219
  Show dependency treegraph
Reported: 2010-04-26 09:36 EDT by Eduard Benes
Modified: 2011-04-30 19:54 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586219 (view as bug list)
Last Closed: 2010-04-27 23:07:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eduard Benes 2010-04-26 09:36:34 EDT

SELinux is preventing /usr/sbin/abrtd "read" access on

Detailed Description:

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug

Additional Information:

Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sosreport_tmp_t:s0
Target Objects                sosreport-dhcp-30-37-20100426135838-34fb.tar.bz2 [
                              file ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-1.0.7-5.el6
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.17-5.el6
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32-19.el6.i686
                              #1 SMP Tue Mar 9 18:10:40 EST 2010 i686 i686
Alert Count                   1
First Seen                    Mon 26 Apr 2010 01:58:39 PM CEST
Last Seen                     Mon 26 Apr 2010 01:58:39 PM CEST
Local ID                      40ece666-dfe3-4ca3-8d16-33c3db62b422
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272283119.56:23030): avc:  denied  { read } for  pid=1653 comm="abrtd" name="sosreport-dhcp-30-37-20100426135838-34fb.tar.bz2" dev=dm-0 ino=258866 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sosreport_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1272283119.56:23030): arch=40000003 syscall=5 success=no exit=-13 a0=84a652c a1=8000 a2=0 a3=806a510 items=0 ppid=1 pid=1653 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash String generated from  selinux-policy-3.7.17-5.el6,catchall,abrtd,abrt_t,sosreport_tmp_t,file,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t sosreport_tmp_t:file read;
Comment 1 Daniel Walsh 2010-04-26 10:09:04 EDT
Fixed in selinux-policy-3.7.19-5.fc13.noarch
Comment 2 Daniel Walsh 2010-04-26 10:10:07 EDT
*** Bug 585934 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2010-04-26 15:51:32 EDT
selinux-policy-3.7.19-6.fc13 has been submitted as an update for Fedora 13.
Comment 4 Fedora Update System 2010-04-27 01:48:47 EDT
selinux-policy-3.7.19-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-6.fc13
Comment 5 Fedora Update System 2010-04-27 23:05:53 EDT
selinux-policy-3.7.19-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.